import { Dress } from '../Products/Dress';

/**
 * DressBuilder - класс, предназначенный для создания объектов платья.
 *
 * Этот класс использует паттерн "Строитель" для пошагового создания
 * экземпляра платья с различными характеристиками.
 */
export class DressBuilder {
    private readonly dress: Dress;

    /**
     * Конструктор класса DressBuilder.
     *
     * Инициализирует новый экземпляр платья, который будет построен.
     */
    constructor() {
        this.dress = new Dress();
    }

    /**
     * Метод для создания платья.
     *
     * Этот метод можно расширить для добавления компонентов или
     * настройки характеристик платья. В данный момент он не реализован.
     */
    createDress(): void {
        // Здесь можно добавить логику для настройки платья
    }

    /**
     * Метод для получения готового платья.
     *
     * @returns {Dress} Возвращает созданный экземпляр платья.
     */
    getResult(): Dress {
        return this.dress;
    }
}
