import { AbstractClothingFactory } from './AbstractClothingFactory';
import { Suit } from '../Products/Suit';
import { ClothingItem } from '../Products/Contracts/ClothingItem';

/**
 * Фабрика для создания мужской одежды.
 */
export class MenClothingFactory implements AbstractClothingFactory {
    /**
     * Метод для создания предмета мужской одежды.
     * @returns {ClothingItem} - Возвращает новый экземпляр костюма.
     */
    createClothingItem(): ClothingItem {
        // Создает и возвращает новый экземпляр костюма.
        return new Suit();
    }
}
