import { AbstractClothingFactory } from './AbstractClothingFactory';
import { Dress } from '../Products/Dress';
import { ClothingItem } from '../Products/Contracts/ClothingItem';

/**
 * Фабрика для создания женской одежды.
 */
export class WomenClothingFactory implements AbstractClothingFactory {
    /**
     * Метод для создания предмета женской одежды.
     * @returns {ClothingItem} - Возвращает новый экземпляр платья.
     */
    createClothingItem(): ClothingItem {
        // Создает и возвращает новый экземпляр платья.
        return new Dress();
    }
}
