import { Dress } from '../Products/Dress';
import { ClothingPrototype } from './ClothingPrototype';

/**
 * Класс, представляющий прототип платья.
 * Реализует метод клонирования для создания нового экземпляра платья.
 */
export class DressPrototype extends ClothingPrototype {
    private dress: Dress;

    /**
     * Конструктор принимает экземпляр платья для создания прототипа.
     * @param dress - Экземпляр платья, от которого будет сделан прототип.
     */
    constructor(dress: Dress) {
        super();
        this.dress = dress;
    }

    /**
     * Метод для клонирования платья.
     * @returns {Dress} - Новый экземпляр платья.
     */
    clone(): Dress {
        return new Dress(); // Возвращает новый экземпляр платья.
    }
}
