import {Suit} from '../Products/Suit';
import {ClothingPrototype} from './ClothingPrototype';

/**
 * Класс, представляющий прототип костюма.
 * Реализует метод клонирования для создания нового экземпляра костюма.
 */
export class SuitPrototype extends ClothingPrototype {
    private suit: Suit;

    /**
     * Конструктор принимает экземпляр костюма для создания прототипа.
     * @param suit - Экземпляр костюма, от которого будет сделан прототип.
     */
    constructor(suit: Suit) {
        super();
        this.suit = suit;
    }

    /**
     * Метод для клонирования костюма.
     * @returns {Suit} - Новый экземпляр костюма.
     */
    clone(): Suit {
        // Возвращает новый экземпляр костюма.
        return new Suit();
    }
}
