// index.ts

// Экспорт фабрик
export { MenClothingFactory } from './Factories/MenClothingFactory';
export { WomenClothingFactory } from './Factories/WomenClothingFactory';
export { SuitFactory } from './Factories/SuitFactory';

// Экспорт строителей
export { SuitBuilder } from './Builders/SuitBuilder';
export { DressBuilder } from './Builders/DressBuilder';

// Экспорт продуктов (одежды)
export { Suit } from './Products/Suit';
export { Dress } from './Products/Dress';
export { CustomSuit } from './Products/CustomSuit';

// Экспорт прототипов
export { ClothingPrototype } from './Prototypes/ClothingPrototype';
export { SuitPrototype } from './Prototypes/SuitPrototype';
export { DressPrototype } from './Prototypes/DressPrototype';
export { PrototypeRegistry } from './Prototypes/PrototypeRegistry';

// Экспорт синглтона
export { ProductCatalogSingleton } from './Singletons/ProductCatalogSingleton';


export * from "./Factories/AbstractClothingFactory";
export * from "./Products/Contracts/ClothingItem";
export * from "./Products/Contracts/ComplexClothingItem";
